
import 'package:azlistview/azlistview.dart';
import 'package:lpinyin/lpinyin.dart';

class LiftBrandEntity extends ISuspensionBean{


  int sort;
  String name;
  String code;

	LiftBrandEntity.fromJsonMap(Map<String, dynamic> map):
		sort = map["sort"],
		name = map["name"],
		code = map["code"];

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['sort'] = sort;
		data['name'] = name;
		data['code'] = code;
		return data;
	}

  @override
  String getSuspensionTag() {
		String py = PinyinHelper.getShortPinyin(name).toUpperCase();
    return py.substring(0,1);
  }
}
